@charset "UTF-8";

/************************
見出し
************************/
.section-title {
	padding: 0 20px;
}

.section-title--right {
	text-align: right;
}

.section-title--center {
  text-align: center;
}

.section-title p {
	color: #BFA22E;
	font-weight: bold;
	font-size: 1.5rem;
}

.section-title h1 {
	color: #202020;
	font-size: 2rem;
}

.section-title h1 .small {
	font-size: 1.3rem;
}

.section-title h1 .yellow {
	color: #BFA22E;
}

/************************
ボタン
************************/
.btn-wrap {
  display: flex;
  justify-content: center;
}

.btn {
  display: flex;
  justify-content: center;
  width: 250px;
  text-decoration: none;
  line-height: 45px;
  outline: none;
  color: #202020;
  position: relative;
  border: 1px solid #202020;
  transition: color 0.5s ease;
  align-items: center;
}

.btn--white {
  color: #ececec;
  border: 1px solid #ececec;
}

.btn img {
  width: 10%;
  height: fit-content;
  transition: all .3s;
}

.btn span {
	padding-right: 10px;
}
.btn:hover {
  color: #fff;
}
.btn.btn--white:hover {
  color: #202020;
}
.btn:hover::before {
  transform: scaleX(1);
  transform-origin: left;
}
.btn::before {
  position: absolute;
  top: 0;
  left: 0;
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: #202020;
  transform: scaleX(0);
  transform-origin: right;
  transition: all 0.5s ease;
  transition-property: transform;
}

.btn.btn--white::before {
  background-color: #ececec;
}

.btn:hover img {
  filter: invert(100%);
}

.text {
  position: relative;
}